summaryrefslogtreecommitdiffstats
path: root/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root
diff options
context:
space:
mode:
Diffstat (limited to 'build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root')
-rwxr-xr-xbuild_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/.post_process/go.sh40
-rw-r--r--build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/.post_process/locale.py23
-rwxr-xr-xbuild_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/.post_process/menu.lst60
-rwxr-xr-xbuild_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/.post_process/rc.conf71
-rwxr-xr-xbuild_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/LinHES-install.sh49
-rwxr-xr-xbuild_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/startx35
6 files changed, 278 insertions, 0 deletions
diff --git a/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/.post_process/go.sh b/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/.post_process/go.sh
new file mode 100755
index 0000000..49ccad8
--- /dev/null
+++ b/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/.post_process/go.sh
@@ -0,0 +1,40 @@
+#!/bin/bash
+#This script is run after data is copied, but before configuration.
+
+. /usr/MythVantage/bin/mv_config.py
+
+PD="/root/.post_process"
+pacman -S --force --noconfirm runit-scripts
+
+HDIR=`dirname $MYTHHOME`
+mkdir -p $HDIR
+useradd -b $HDIR -m -p "" -G "audio,disk,optical,wheel,storage,video,users" mythtv
+
+
+
+chown -R mythtv.mythtv $MYTHHOME
+
+#creating /myth for live cd
+mkdir -p $DATAMOUNT
+create_media_dirs.sh $DATAMOUNT
+chown -R mythtv.mythtv $DATAMOUNT/media
+
+
+
+python2 /root/.post_process/locale.py
+echo "generating locales"
+/usr/sbin/locale-gen
+
+rm -f /etc/issue
+ln -s /etc/LinHES-release /etc/issue
+
+#remove files
+rm -f /root/LinHES-install.sh
+rm -f /root/startx
+rm -f /root/.directory
+
+
+#cp -rvpf /.post_process/home/mythtv /home/
+#cp -rvpf /.post_process/home/mythtv/.fluxbox /root
+#cp -vpf /.post_process/nouveau.conf /etc/modprobe.d/nouveau.conf
+mv $PD $PD.old
diff --git a/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/.post_process/locale.py b/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/.post_process/locale.py
new file mode 100644
index 0000000..70cfcbd
--- /dev/null
+++ b/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/.post_process/locale.py
@@ -0,0 +1,23 @@
+def genlocale():
+ #logging.info("Generating locales")
+ locale_list=[ "en_US ISO-8859-1", "en_US.UTF-8 UTF-8" , "de_DE.UTF-8", "da_DK.utf8", "en_DK.utf8", "it_IT.utf8", "de_DE.UTF-8"]
+ #locale_list=['UTF-8', 'en_US ISO-8859-1']
+
+ localefile="/etc/locale.gen"
+ f = open(localefile)
+ lines = f.readlines()
+ f.close()
+
+ f = open(localefile,'w')
+
+ for line in lines:
+ outline = line
+ for locale in locale_list:
+ #print locale, line
+ if locale in line:
+ outline = line.replace('#','')
+ f.write(outline)
+
+ f.close
+
+genlocale()
diff --git a/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/.post_process/menu.lst b/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/.post_process/menu.lst
new file mode 100755
index 0000000..0ecc2a7
--- /dev/null
+++ b/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/.post_process/menu.lst
@@ -0,0 +1,60 @@
+# Config file for GRUB - The GNU GRand Unified Bootloader
+# /boot/grub/menu.lst
+
+# DEVICE NAME CONVERSIONS
+#
+# Linux Grub
+# -------------------------
+# /dev/fd0 (fd0)
+# /dev/hda (hd0)
+# /dev/hdb2 (hd1,1)
+# /dev/hda3 (hd0,2)
+#
+
+# FRAMEBUFFER RESOLUTION SETTINGS
+# +-------------------------------------------------+
+# | 640x480 800x600 1024x768 1280x1024
+# ----+--------------------------------------------
+# 256 | 0x301=769 0x303=771 0x305=773 0x307=775
+# 32K | 0x310=784 0x313=787 0x316=790 0x319=793
+# 64K | 0x311=785 0x314=788 0x317=791 0x31A=794
+# 16M | 0x312=786 0x315=789 0x318=792 0x31B=795
+# +-------------------------------------------------+
+
+# general configuration:
+timeout 5
+default 0
+#color light-blue/black light-cyan/blue
+
+# boot sections follow
+# each is implicitly numbered from 0 in the order of appearance below
+#
+# TIP: If you want a 1024x768 framebuffer, add "vga=773" to your kernel line.
+#
+#-*
+hiddenmenu
+
+# (0) normal
+title LinHes
+root (hd0,0)
+kernel /boot/vmlinuz26 root=/dev/hda1 ro init=/sbin/runit vmalloc=192M console=tty1
+initrd /boot/kernel26.img
+
+# (1) bootsplash
+title LinHes-splashy
+root (hd0,0)
+kernel /boot/vmlinuz26 root=/dev/hda1 ro init=/sbin/runit vmalloc=192M quiet vga=0x314 splash=silent,theme:linhes console=tty1
+initrd /boot/kernel26.img
+
+# (2) noautologin
+title LinHES-nologin
+root (hd0,0)
+kernel /boot/vmlinuz26 root=/dev/hda1 ro init=/sbin/runit quiet vga=0x314 splash=silent,theme:linhes console=tty1 nox
+initrd /boot/kernel26.img
+
+
+# (3) normal
+title LinHes-init
+root (hd0,0)
+kernel /boot/vmlinuz26 root=/dev/hda1 ro console=tty1
+initrd /boot/kernel26.img
diff --git a/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/.post_process/rc.conf b/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/.post_process/rc.conf
new file mode 100755
index 0000000..43a275f
--- /dev/null
+++ b/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/.post_process/rc.conf
@@ -0,0 +1,71 @@
+#
+# /etc/rc.conf - Main Configuration for Arch Linux
+#
+
+#
+# -----------------------------------------------------------------------
+# LOCALIZATION
+# -----------------------------------------------------------------------
+#
+# LOCALE: available languages can be listed with the 'locale -a' command
+# HARDWARECLOCK: set to "UTC" or "localtime"
+# TIMEZONE: timezones are found in /usr/share/zoneinfo
+# KEYMAP: keymaps are found in /usr/share/kbd/keymaps
+# CONSOLEFONT: found in /usr/share/kbd/consolefonts (only needed for non-US)
+# CONSOLEMAP: found in /usr/share/kbd/consoletrans
+# USECOLOR: use ANSI color sequences in startup messages
+#
+LOCALE="en_US.utf-8"
+HARDWARECLOCK="UTC"
+TIMEZONE="US/Central"
+KEYMAP="us"
+CONSOLEFONT=
+CONSOLEMAP=
+USECOLOR="yes"
+
+#
+# -----------------------------------------------------------------------
+# HARDWARE
+# -----------------------------------------------------------------------
+#
+# Scan hardware and load required modules at bootup
+MOD_AUTOLOAD="yes"
+if [ -f /etc/systemconfig ]
+then
+ . /etc/systemconfig
+fi
+
+if [ x$Audiotype = xOSS -a ! -f /tmp/.alsatest ]
+then
+ ALSABLACKLIST="!soundcore"
+else
+ if [ x$Audiotype = xOSS ]
+ then
+ ALSABLACKLIST="!soundcore"
+ else
+ ALSABLACKLIST=""
+ fi
+fi
+
+# Module Blacklist - modules in this list will never be loaded by udev
+MOD_BLACKLIST_=($ALSABLACKLIST !snd-pcsp !nouveau)
+#
+# Modules to load at boot-up (in this order)
+# - prefix a module with a ! to blacklist it
+#
+MODULES=($MOD_BLACKLIST_)
+# Scan for LVM volume groups at startup, required if you use LVM
+USELVM="no"
+
+#
+# -----------------------------------------------------------------------
+# NETWORKING
+# -----------------------------------------------------------------------
+#
+HOSTNAME=`cat /etc/hostname`
+
+#The following is only used on the install. After the first boot everything is set from /etc/net.
+
+#DAEMONS=(syslog-ng network netfs crond)
+DAEMONS=(fbsplash !syslog-ng !hotplug !pcmcia !network !mysqld dbus avahi-daemon)
+# End of file
diff --git a/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/LinHES-install.sh b/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/LinHES-install.sh
new file mode 100755
index 0000000..2b0cdb2
--- /dev/null
+++ b/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/LinHES-install.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+#redirect stderr to stdout, then rediret stdout to file
+. /etc/profile
+exec 2>&1
+exec > /tmp/mythvantage_install.log
+#/usr/bin/nvidia-settings -a InitialPixmapPlacement=2
+#keylaunch &
+#/usr/bin/tilda &
+#/usr/X11R6/bin/unclutter -root -idle 0 -jitter 400 -noevents &
+export MALLOC_CHECK_=0
+
+WM="e16 -P /usr/share/wm_data/e16_config_dir/"
+$WM &
+pid=$!
+
+xset s off
+xset -dpms
+xhost +
+xdotool mousemove 0 0
+
+cp -f /etc/keylaunchrc /root/.keylaunchrc
+/usr/bin/keylaunch &
+
+
+CMDLINE=$(cat /proc/cmdline)
+echo $CMDLINE |grep -q nfsroot
+NFSROOT=$?
+echo $CMDLINE |grep -q clean_upgrade
+if [ $? = 0 ]
+then
+ export CLEAN_UPGRADE=YES
+else
+ export CLEAN_UPGRADE=NO
+fi
+
+#show the readme
+MythVantage -r
+
+if [ x$NFSROOT = x1 ]
+then
+ unbuffer MythVantage -L &
+else
+ NETBOOT=YES MythVantage &
+fi
+
+
+wait $pid
+
+
diff --git a/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/startx b/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/startx
new file mode 100755
index 0000000..068263f
--- /dev/null
+++ b/build_tools/archiso-19/mythvantage/crap/root-image.old_can_be_delted/root/startx
@@ -0,0 +1,35 @@
+#!/bin/bash
+. /etc/profile
+
+export USER=root
+export HOME=/root
+
+CMDLINE=$(cat /proc/cmdline)
+TEMPVAR=${CMDLINE#*ip=}
+IP=${TEMPVAR%% *}
+echo $CMDLINE |grep -q vnc
+USEVNC=$?
+
+if [ x$USEVNC = x1 ]
+then
+ RUNP=1 $MV_ROOT/bin/xconfig.sh 2>/dev/null
+ startx /root/LinHES-install.sh -- -logverbose 6 -allowMouseOpenFail 2>/tmp/x.log
+else
+ #VNC
+ pacman -S --force --noconfirm tigervnc
+ /etc/rc.d/dbus start
+ cp -f $TEMPLATES/vnc.service /etc/avahi/services/
+ /etc/rc.d/avahi-daemon start
+ cd /root
+ mkdir .vnc
+ echo 54321 |vncpasswd -f > /root/.vnc/passwd
+ chmod 500 /root/.vnc/passwd
+ rm -f /root/.vnc/xstartup 2>/dev/null
+ ln -s /root/LinHES-install.sh /root/.vnc/xstartup
+ vncserver
+ echo "The VNC server password is: 54321"
+ echo "Please connect to one of these ip's"
+ echo "-------------------------------------------"
+ ip addr show |grep "inet" |grep -v inet6|cut -d\/ -f1
+ echo "-------------------------------------------"
+fi